Subject: Re: [PATCH] KVM: PPC: remove mmio_vsx_tx_sx_enabled in PR KVM MMIO emulation

From: Simon Guo <[email-masked]>
Date: Thu, 24 May 2018 17:21:22 +0800

On Thu, May 24, 2018 at 05:01:26PM +0800, [email-masked] wrote:
> From: Simon Guo <[email-masked]>
> 
> Originally PR KVM MMIO emulation uses only 0~31#(5 bits) for VSR
> reg number, and use mmio_vsx_tx_sx_enabled field together for
> 0~63# VSR regs.
> 
> Currently PR KVM MMIO emulation is reimplemented with analyse_instr()
> assistence. analyse_instr() returns 0~63 for VSR register number, so
> it is not necessary to use additional mmio_vsx_tx_sx_enabled field
> any more.
> 
> This patch extends related reg bits(expand io_gpr to u16 from u8
> and use 6 bits for VSR reg#), so that mmio_vsx_tx_sx_enabled can
> be removed.
> 
> Signed-off-by: Simon Guo <[email-masked]>

It applies to HV KVM too. I will correct the commit message in next 
version.

Thanks,
- Simon